/*
  UMainForm.h

  This file is part of BIN2HEXGUI.

  BIN2HEXGUI was developed by Synapse(Hiroshi Tanigawa) in 2014.  BIN2HEXGUI
  is originally distributed at "Synapse's history of making gadgets"
  <http://www3.big.or.jp/~schaft/hardware/>

  BIN2HEXGUI is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  BIN2HEXGUI is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with BIN2HEXGUI.  If not, see <http://www.gnu.org/licenses/>.
*/


//---------------------------------------------------------------------------

#ifndef UMainFormH
#define UMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE Ǘ̃R|[lg
        TButton *ConvertBtn;
        TOpenDialog *HexOpenDlg;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        void __fastcall ConvertBtnClick(TObject *Sender);
private:	// [U[錾
public:		// [U[錾
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
